Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Controller Java API Reference 10g Release 3 (10.1.3) B16004-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.adf.controller.struts.actions
Class DataActionContext

`java.lang.Object
java.util.AbstractMap
java.util.HashMap
oracle.adf.controller.lifecycle.LifecycleContext
oracle.adf.controller.struts.actions.DataActionContext`

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Map, java.io.Serializable

public final class DataActionContext
extends LifecycleContext

Lifecycle Context customized to work with DataAction.

Since:
  9.0.5
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `SUCCESS_FORWARD` Name of the special forward used to combine a DataAction with a web page.

Fields inherited from class oracle.adf.controller.lifecycle.LifecycleContext
`EVENT_METHOD_PREFIX, EVENT_PREFIX`

Constructor Summary
`DataActionContext()`

Method Summary
`org.apache.struts.action.ActionErrors` | `getActionErrors()` Retrieve the ActionErrors from the context.
`org.apache.struts.action.ActionForm` | `getActionForm()` Retrieve the ActionForm from the context.
`org.apache.struts.action.ActionForward` | `getActionForward()` Retrieve the ActionForward from the context.
`DataActionMapping` | `getActionMapping()` Retrieve the DataActionMapping from the context.
`java.lang.String` | `getModelReference()` Retrieve the modelReference from the action mapping.
`void` | `initialize(Lifecycle lifeCycle, org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Initialize the context with the DataAction parameters.
`void` | `setActionErrors(org.apache.struts.action.ActionErrors errors)` Store the ActionErrors in the context
`void` | `setActionForm(org.apache.struts.action.ActionForm form)` Store the ActionForm in the context.
`void` | `setActionForward(org.apache.struts.action.ActionForward forward)` Store the ActionForward in the context.
`void` | `setActionForward(java.lang.String forwardName)` Store the ActionForward in the context using the name of forward.
`void` | `setActionMapping(DataActionMapping mapping)` Store the DataActionMapping in the context.

Methods inherited from class oracle.adf.controller.lifecycle.LifecycleContext
`addControlActionBinding, addEvent, getBindingContainer, getBindingContext, getControlActionBindings, getCustomMethod, getEventActionBinding, getEventPrefix, getEvents, getForwardPath, getHttpServletRequest, getHttpServletResponse, getLifecycle, getRedirect, initialize, initialize, setBindingContainer, setBindingContext, setCustomMethod, setEventActionBinding, setEventPrefix, setForwardPath, setHttpServletRequest, setHttpServletResponse, setLifecycle, setModelReference, setRedirect`

Methods inherited from class java.util.HashMap
`clear, clone, containsKey, containsValue, entrySet, get, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Field Detail

### SUCCESS_FORWARD

    public static final java.lang.String SUCCESS_FORWARD

  Name of the special forward used to combine a DataAction with a web page.
  See Also:
    Constant Field Values

Constructor Detail

### DataActionContext

    public DataActionContext()

Method Detail

### initialize

    public void initialize(Lifecycle lifeCycle,
                           org.apache.struts.action.ActionMapping mapping,
                           org.apache.struts.action.ActionForm form,
                           javax.servlet.http.HttpServletRequest request,
                           javax.servlet.http.HttpServletResponse response)

  Initialize the context with the DataAction parameters.
  Parameters:
    `lifeCycle` -
    `mapping` - DataAction ActionMapping
    `form` - DataAction ActionForm
    `request` - DataAction HttpServletRequest
    `response` - DataAction HttpServletResponse

### setActionMapping

    public void setActionMapping(DataActionMapping mapping)

  Store the DataActionMapping in the context.
  Parameters:
    `mapping` -

### getActionMapping

    public DataActionMapping getActionMapping()

  Retrieve the DataActionMapping from the context.
  Returns:
    the DataActionMapping

### setActionForm

    public void setActionForm(org.apache.struts.action.ActionForm form)

  Store the ActionForm in the context.
  Parameters:
    `form` -

### getActionForm

    public org.apache.struts.action.ActionForm getActionForm()

  Retrieve the ActionForm from the context.
  Returns:
    ActionForm

### setActionForward

    public void setActionForward(org.apache.struts.action.ActionForward forward)

  Store the ActionForward in the context.

  This is the ActionForward that will be returned by the DataAction execute method.

  Parameters:
    `forward` -

### setActionForward

    public void setActionForward(java.lang.String forwardName)

  Store the ActionForward in the context using the name of forward. The ActionForward will be retrieve using `findForward(forwardName)`

  This is the ActionForward that will be returned by the DataAction execute method. Utility method to set the action forward by name

### getActionForward

    public org.apache.struts.action.ActionForward getActionForward()

  Retrieve the ActionForward from the context.
  Returns:
    ActionForward

### setActionErrors

    public void setActionErrors(org.apache.struts.action.ActionErrors errors)

  Store the ActionErrors in the context
  Parameters:
    `errors` -

### getActionErrors

    public org.apache.struts.action.ActionErrors getActionErrors()

  Retrieve the ActionErrors from the context.
  Returns:
    ActionErrors

### getModelReference

    public java.lang.String getModelReference()

  Retrieve the modelReference from the action mapping.
  Overrides:
    `getModelReference` in class `LifecycleContext`
  Returns:
    the modelReference

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Controller Java API Reference 10g Release 3 (10.1.3) B16004-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.